Logo
OpenScaler
API DocumentationVM Templates

List VM templates

GET
/v1/vm-templates

List user-created VM templates in a project.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

project_id*string

ID of the project used to filter results.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/vm-templates?project_id=default"
{  "templates": [    {      "kind": "user",      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",      "name": "my-template",      "description": "Snapshot of my configured VM",      "icon_url": "https://example.com/icon.svg",      "size_gib": 25.5,      "status": "active",      "source_vm_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",      "project_id": "default",      "created_at": "2024-06-01T12:00:00Z",      "updated_at": "2024-06-15T08:30:00Z"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}